#ifndef SCRATCHBSDF_CONTEXT_WINDOW_HPP
#define SCRATCHBSDF_CONTEXT_WINDOW_HPP

#include <GLFW/glfw3.h>

namespace window {
    class ContextWindow final {
    private:
        bool init{ false };

    public:
        ContextWindow() noexcept = delete;

        explicit ContextWindow(const GLFWerrorfun error_clbk) noexcept;

        ~ContextWindow() noexcept;

        [[nodiscard]] inline bool is_init() const { return init; }
    };
} // window

#endif //SCRATCHBSDF_CONTEXT_WINDOW_HPP
